_Elm_Scrollable_Smart_Interface_Data Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Elm_Scrollable_Smart_Interface_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields
Evas_Coord | x
Evas_Coord | y
Evas_Coord | w
Evas_Coord | h
Evas_Coord | wx
Evas_Coord | wy
Evas_Coord | ww
Evas_Coord | wh
| Last "wanted" geometry.
Evas_Object * | obj
Evas_Object * | content
Evas_Object * | pan_obj
Evas_Object * | edje_obj
Evas_Object * | event_rect
Evas_Object * | parent_widget
Elm_Scroller_Policy | hbar_flags
Elm_Scroller_Policy | vbar_flags
Elm_Scroller_Single_Direction | one_direction_at_a_time
Efl_Ui_Layout_Orientation | block
struct {
Evas_Coord x
Evas_Coord y
Evas_Coord sx
Evas_Coord sy
Evas_Coord dx
Evas_Coord dy
Evas_Coord pdx
Evas_Coord pdy
Evas_Coord bx
Evas_Coord by
Evas_Coord ax
Evas_Coord ay
Evas_Coord bx0
Evas_Coord by0
Evas_Coord b0x
Evas_Coord b0y
Evas_Coord b2x
Evas_Coord b2y
struct {
Evas_Coord x
Evas_Coord y
double timestamp
} history [60]
double est_timestamp_diff
double dragged_began_timestamp
double anim_start
double anim_start2
double anim_start3
double anim_dur
double onhold_vx
double onhold_vy
double onhold_tlast
double onhold_vxe
double onhold_vye
double last_time_x_wheel
double last_time_y_wheel
Evas_Coord hold_x
Evas_Coord hold_y
Evas_Coord locked_x
Evas_Coord locked_y
int hdir
int vdir
Ecore_Idle_Enterer * hold_enterer
Eina_Bool hold_animator: 1
Eina_Bool onhold_animator: 1
Eina_Bool momentum_animator: 1
| an animator which is called whenever a scroller is moving due to a flick action(mouse down, move, up)
Eina_Bool bounce_x_animator: 1
| an animator to express the bouncing animation on x axis.
Eina_Bool bounce_y_animator: 1
| an animator to express the bouncing animation on y axis.
Eina_Bool last_hold_x_wheel: 1
Eina_Bool last_hold_y_wheel: 1
Eina_Bool bounce_x_hold: 1
Eina_Bool bounce_y_hold: 1
Eina_Bool dragged_began: 1
Eina_Bool want_dragged: 1
Eina_Bool hold_parent: 1
Eina_Bool want_reset: 1
Eina_Bool cancelled: 1
Eina_Bool dragged: 1
Eina_Bool locked: 1
Eina_Bool scroll: 1
Eina_Bool dir_x: 1
Eina_Bool dir_y: 1
Eina_Bool hold: 1
Eina_Bool now: 1
} | down
struct {
Evas_Coord w
Evas_Coord h
Eina_Bool resized: 1
} | content_info
struct {
Evas_Coord x
Evas_Coord y
} | step
struct {
Evas_Coord x
Evas_Coord y
} | page
struct {
Evas_Coord x
Evas_Coord y
} | current_page
struct {
Elm_Interface_Scrollable_Cb drag_start
Elm_Interface_Scrollable_Cb drag_stop
Elm_Interface_Scrollable_Cb animate_start
Elm_Interface_Scrollable_Cb animate_stop
Elm_Interface_Scrollable_Cb scroll
Elm_Interface_Scrollable_Cb scroll_left
Elm_Interface_Scrollable_Cb scroll_right
Elm_Interface_Scrollable_Cb scroll_up
Elm_Interface_Scrollable_Cb scroll_down
Elm_Interface_Scrollable_Cb edge_left
Elm_Interface_Scrollable_Cb edge_right
Elm_Interface_Scrollable_Cb edge_top
Elm_Interface_Scrollable_Cb edge_bottom
Elm_Interface_Scrollable_Cb vbar_drag
Elm_Interface_Scrollable_Cb vbar_press
Elm_Interface_Scrollable_Cb vbar_unpress
Elm_Interface_Scrollable_Cb hbar_drag
Elm_Interface_Scrollable_Cb hbar_press
Elm_Interface_Scrollable_Cb hbar_unpress
Elm_Interface_Scrollable_Cb page_change
Elm_Interface_Scrollable_Min_Limit_Cb content_min_limit
Elm_Interface_Scrollable_Resize_Cb content_viewport_resize
} | cb_func
struct {
struct {
Evas_Coord start
Evas_Coord end
double t_start
double t_end
Eina_Bool animator
} x
struct {
Evas_Coord start
Evas_Coord end
double t_start
double t_end
Eina_Bool animator
} y
} | scrollto
double | pagerel_h
double | pagerel_v
Evas_Coord | pagesize_h
Evas_Coord | pagesize_v
int | page_limit_h
int | page_limit_v
int | current_calc
double | last_wheel_mul
unsigned int | last_wheel
unsigned char | size_adjust_recurse
unsigned char | size_count
void * | event_info
double | gravity_x
double | gravity_y
Evas_Coord | prev_cw
Evas_Coord | prev_ch
Eina_Bool | size_adjust_recurse_abort: 1
Eina_Bool | momentum_animator_disabled: 1
Eina_Bool | bounce_animator_disabled: 1
Eina_Bool | page_snap_horiz: 1
Eina_Bool | page_snap_vert: 1
Eina_Bool | wheel_disabled: 1
Eina_Bool | hbar_visible: 1
Eina_Bool | vbar_visible: 1
Eina_Bool | bounce_horiz: 1
Eina_Bool | bounce_vert: 1
Eina_Bool | is_mirrored: 1
Eina_Bool | extern_pan: 1
Eina_Bool | bouncemey: 1
Eina_Bool | bouncemex: 1
Eina_Bool | freeze: 1
Eina_Bool | freeze_want: 1
Eina_Bool | min_w: 1
Eina_Bool | min_h: 1
Eina_Bool | go_left: 1
Eina_Bool | go_right: 1
Eina_Bool | go_up: 1
Eina_Bool | go_down: 1
Eina_Bool | loop_h: 1
Eina_Bool | loop_v: 1
void * | manager